Bug 1251875 - gnutls: add support for fallback SCSV
gnutls: add support for fallback SCSV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnutls (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Mavrogiannopoulos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 04:17 EDT by Nikos Mavrogiannopoulos
Modified: 2015-08-31 23:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.4.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-31 23:37:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Mavrogiannopoulos 2015-08-10 04:17:06 EDT
Description of problem:
Gnutls has no support for RFC 7507. It seems that the fallback dance work arounds were standardized. We should add support for the standardized process for fallback dance, and support for detecting failures.

That would allow servers to detect malicious downgrades in legacy clients.

http://tools.ietf.org/html/rfc7507
https://gitlab.com/gnutls/gnutls/issues/9
Comment 1 Fedora Update System 2015-08-10 04:58:40 EDT
gnutls-3.4.4-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/gnutls-3.4.4-1.fc23
Comment 2 Fedora Update System 2015-08-12 16:10:50 EDT
Package gnutls-3.4.4-1.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnutls-3.4.4-1.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13287/gnutls-3.4.4-1.fc23
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2015-08-31 23:37:14 EDT
gnutls-3.4.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.